RHN_REGISTER(8)

NAME
rhn_register - Connect to RHN Satellite or Red Hat Network Classic.

SYNOPSIS
rhn_register [options]

DESCRIPTION

rhn_register is a client program that registers your system with Red Hat Network Classic (or a RHN Satellite). After registering, your system can receive software updates, install new software, and remotely manage your system. It can run both in graphical and text modes.

OPTIONS

-v, --verbose
    Increase the debugging output.

--proxy=PROXY
    Specify an http proxy to use.

--proxyUser=PROXYUSER
    Specify a username to use for an authenticated proxy. This option must be used in conjunction with proxyPassword.

--proxyPassword=PROXYPASSWORD
    Specify a password to use for an authenticated proxy. This option must be used in conjunction with proxyUser.

--nox
    Run in text mode.

--version
    Show the program's version number and exit.

-h, --help
    Show a help message and exit.

FILES

/etc/sysconfig/rhn/systemid
    The digital server ID for this machine if the system has been registered onto RHN Satellite or Red Hat Network Classic. This file does not exist otherwise.

/etc/sysconfig/rhn/up2date
    The common configuration file used by RHN client programs.

SEE ALSO

rhn_check(8), rhnreg_ks(8), rhnsd(8), rhn-profile-sync(8), rhnplugin(8), up2date(5).

AUTHORS

See the AUTHORS file included with this software.

This manual page was written by James Bowes <jbowes@redhat.com>

BUGS

Report bugs to <http://bugzilla.redhat.com>.

COPYRIGHT

Copyright © 1999-2011 Red Hat, Inc.

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.